[arch-commits] CVS update of extra/gnome/gnome-phone-manager (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Apr 22 13:33:35 EDT 2007


    Date: Sunday, April 22, 2007 @ 13:33:35
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/gnome-phone-manager

Modified: PKGBUILD (1.6 -> 1.7)

upgpkg: gnome-phone-manager 0.8-4
Move to /usr


----------+
 PKGBUILD |   30 ++++++++++++++----------------
 1 file changed, 14 insertions(+), 16 deletions(-)


Index: extra/gnome/gnome-phone-manager/PKGBUILD
diff -u extra/gnome/gnome-phone-manager/PKGBUILD:1.6 extra/gnome/gnome-phone-manager/PKGBUILD:1.7
--- extra/gnome/gnome-phone-manager/PKGBUILD:1.6	Mon Apr  2 11:51:15 2007
+++ extra/gnome/gnome-phone-manager/PKGBUILD	Sun Apr 22 13:33:35 2007
@@ -1,34 +1,32 @@
-# $Id: PKGBUILD,v 1.6 2007/04/02 15:51:15 jgc Exp $
+# $Id: PKGBUILD,v 1.7 2007/04/22 17:33:35 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
+
 pkgname=gnome-phone-manager
 pkgver=0.8
-pkgrel=3
+pkgrel=4
 pkgdesc="Control your mobile phone from your GNOME 2 desktop."
 arch=(i686 x86_64)
-license=(GPL)
+license=('GPL')
 url="http://www.usefulinc.com/software/phonemgr/"
-depends=('evolution-data-server>=1.10.0' 'gnokii>=0.6.14' 'gnome-bluetooth>=0.8.0-3')
+depends=('evolution-data-server>=1.10.1-2' 'gnokii>=0.6.14' 'gnome-bluetooth>=0.8.0-5')
 makedepends=('perlxml' 'pkgconfig')
-source=(ftp://ftp.gnome.org/pub/GNOME/sources/gnome-phone-manager/0.8/${pkgname}-${pkgver}.tar.bz2
+source=(http://ftp.gnome.org/pub/GNOME/sources/gnome-phone-manager/0.8/${pkgname}-${pkgver}.tar.bz2
 	kill-libegg-phone-manager.patch)
-md5sums=('1a645a23d8851e554b3809b71e2162f0'
-          'c34a9ebed3190f81b83b23aba66e81e7')
+md5sums=('1a645a23d8851e554b3809b71e2162f0' 'c34a9ebed3190f81b83b23aba66e81e7')
 
 build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
-
   cd ${startdir}/src/${pkgname}-${pkgver}
   patch -Np0 -i ${startdir}/src/kill-libegg-phone-manager.patch || return 1
   sed -i -e 's|AM_PATH_OPENOBEX(1.0.0)|PKG_CHECK_MODULES(OPENOBEX, openobex)\n AC_SUBST(OPENOBEX_LIBS)\n AC_SUBST(OPENOBEX_CFLAGS)|' configure.in
 
-  aclocal ${ACLOCAL_FLAGS}
-  autoconf
-  automake
+  aclocal || return 1
+  autoconf || return 1
+  automake || return 1
 
-  ./configure --prefix=/opt/gnome
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var
   make || return 1
   make DESTDIR=${startdir}/pkg install
-  mkdir -p ${startdir}/pkg/opt/gnome/share/pixmaps
-  mv ${startdir}/pkg/opt/gnome/share/cellphone.png \
-    ${startdir}/pkg/opt/gnome/share/pixmaps/
+  mkdir -p ${startdir}/pkg/usr/share/pixmaps
+  mv ${startdir}/pkg/usr/share/cellphone.png ${startdir}/pkg/usr/share/pixmaps/
 }




More information about the arch-commits mailing list